Bug 910233 - Review Request: geoip-geolite - Free IP geolocation databases
Summary: Review Request: geoip-geolite - Free IP geolocation databases
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 910235
TreeView+ depends on / blocked
 
Reported: 2013-02-12 04:55 UTC by Ralph Bean
Modified: 2013-05-28 13:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-28 13:20:12 UTC
puiterwijk: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2013-02-12 04:55:25 UTC
Spec URL: http://ralph.fedorapeople.org//geoip-geolite.spec
SRPM URL: http://ralph.fedorapeople.org//geoip-geolite-2012.02-1.fc18.src.rpm

Description:
The GeoLite databases are free IP geolocation databases.

The GeoLite databases are distributed under the Creative Commons
Attribution-ShareAlike 3.0 Unported License. The attribution requirement may
be met by including the following in all advertising and documentation
mentioning features of or use of this database: "This product includes
GeoLite data created by MaxMind, available from http://www.maxmind.com".

Comment 1 Ralph Bean 2013-02-12 04:55:31 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=4951907

Comment 2 Frederik Holden 2013-02-13 01:31:45 UTC
Informal package review
=======================

Key:
[X] = Manually evaluated
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


Issues:
=======
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 39239680 bytes in /usr/share 39239680
     geoip-geolite-2012.02-1.fc18.x86_64.rpm

As this package is not architecture specific, it should have "BuildArch: noarch".


[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

Perhaps the package should have a separate license file. The license declaration in the description might be sufficient, however.


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: %build honors applicable compiler flags or justifies otherwise.
[-]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[-]: Package uses nothing in %doc for runtime.
[X]: Package is not known to require ExcludeArch.
[X]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[X]: Package consistently uses macro is (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Package must own all directories that it creates.
[X]: Package does not own files or directories owned by other packages.
[-]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Package functions as described.
[X]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 39239680 bytes in /usr/share 39239680
     geoip-geolite-2012.02-1.fc18.x86_64.rpm
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: geoip-geolite-2012.02-1.fc18.x86_64.rpm
geoip-geolite.x86_64: W: spelling-error Summary(en_US) geolocation -> echolocation, collocation, allocation
geoip-geolite.x86_64: W: spelling-error %description -l en_US geolocation -> echolocation, collocation, allocation
geoip-geolite.x86_64: E: no-binary
geoip-geolite.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint geoip-geolite
geoip-geolite.x86_64: W: spelling-error Summary(en_US) geolocation -> echolocation, collocation, allocation
geoip-geolite.x86_64: W: spelling-error %description -l en_US geolocation -> echolocation, collocation, allocation
geoip-geolite.x86_64: E: no-binary
geoip-geolite.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
geoip-geolite (rpmlib, GLIBC filtered):



Provides
--------
geoip-geolite:
    geoip-geolite
    geoip-geolite(x86-64)



MD5-sum check
-------------
http://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz :
  CHECKSUM(SHA256) this package     : a145ec8a7d78c23109446d0964b31af09823fd14c7aa63374c0215ee9b6fb617
  CHECKSUM(SHA256) upstream package : a145ec8a7d78c23109446d0964b31af09823fd14c7aa63374c0215ee9b6fb617
http://geolite.maxmind.com/download/geoip/database/GeoLiteCityv6-beta/GeoLiteCityv6.dat.gz :
  CHECKSUM(SHA256) this package     : 57dba591969a82c0ff25e31fd573faf1193be650705c3f9bbfa8f5df48dc0ae2
  CHECKSUM(SHA256) upstream package : 57dba591969a82c0ff25e31fd573faf1193be650705c3f9bbfa8f5df48dc0ae2
http://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/GeoIP.dat.gz :
  CHECKSUM(SHA256) this package     : 8bce6035e9c56d11dd69244d37aeeeadb632b0c4b9027eb0d93edff9804fcdb5
  CHECKSUM(SHA256) upstream package : 8bce6035e9c56d11dd69244d37aeeeadb632b0c4b9027eb0d93edff9804fcdb5
http://geolite.maxmind.com/download/geoip/database/GeoIPv6.dat.gz :
  CHECKSUM(SHA256) this package     : 7e797d906c36906e7a27136c477b6540579c17ada9b8a604a9bad711369875ae
  CHECKSUM(SHA256) upstream package : 7e797d906c36906e7a27136c477b6540579c17ada9b8a604a9bad711369875ae


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 910233

Comment 3 Ralph Bean 2013-02-13 14:24:07 UTC
Thanks for the comments!

I've updated to a new release that includes the BuildRoot: noarch tag and have pulled in the full license text from creativecommons.

Spec URL:  http://threebean.org/rpm/geoip-geolite.spec
SRPM URL:  http://threebean.org/rpm/geoip-geolite-2012.02-2.fc18.src.rpm

Comment 4 Felix Kaechele 2013-03-22 22:13:23 UTC
Some notes:

1. The package's version is 2012.02. Are you sure you want 2012 and not 2013?

2. The package GeoIP (http://pkgs.fedoraproject.org/cgit/GeoIP.git/tree/GeoIP.spec) owns %{_datadir}/GeoIP where it also puts a version of GeoIP.dat. The library also expects other GeoIP databases to be in this path. Maybe you should put your files there as well instead of %{_datadir}/geoip.
Regarding ownership of files and directories in this case refer to http://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function

3. Please refer to http://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps regarding your %install section and the creation of the SRPMs (especially downloading the sources)

Comment 5 Ralph Bean 2013-04-01 14:10:47 UTC
All three of your notes are spot on, I think.  I've created another update which addresses each of them.

- I corrected the version string (I also pulled the latest package from upstream for March -- April has not yet been released).
- I changed the datadir directory from geoip/ to GeoIP/.  From a review of[1] it seems like co-ownership is appropriate.
- I fixed the timestamps, too.

[1] http://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function

Spec URL:  http://threebean.org/rpm/geoip-geolite.spec
SRPM URL:  http://threebean.org/rpm/geoip-geolite-2013.03-1.fc18.src.rpm

Comment 6 Patrick Uiterwijk 2013-04-10 21:56:53 UTC
Has this review been taken officially by anyone?

If not, I would be able to do this review?

Also, I think you should package all of the GeoLite database files, since otherwise people might expect database files to be there that actually aren't installed by this package.

Comment 7 Ralph Bean 2013-04-11 01:48:19 UTC
Here's a new release.  I updated the files with the latest from maxmind.  I also added the IPASNum datasets as you suggested, Patrick.

Spec URL:  http://threebean.org/rpm/geoip-geolite.spec
SRPM URL:  http://threebean.org/rpm/geoip-geolite-2013.04-1.fc18.src.rpm

Comment 8 Patrick Uiterwijk 2013-05-03 08:44:24 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License CC-BY-SA
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
NO, See below - Sources match upstream sha256sum:
2e7cf43c098c3d8f15d9e764bac51228aa29eceb64ae6f482175884c24e68d7a GeoLiteCityv6.dat.gz
ab9c4deee7b3ef8bd665db67f2ba312b61d3aeb0233e8b2277f8cfbb9d7f2e6e GeoLiteCityv6.dat.gz

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
NO, See below - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
NO, See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag 
NO, See below - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 
1. The checksum mismatch is because this package has been updated again since the last submit, which is my mistake. You do not have to re-do it for the review.
2. It does own %{_datadir}/GeoIP/, but as indicated in the spec file, this is an exception from the default rules.
3. RPMlint output:
Checking: geoip-geolite-2013.04-1.fc18.noarch.rpm
geoip-geolite.noarch: W: spelling-error Summary(en_US) geolocation -> echolocation, collocation, allocation
geoip-geolite.noarch: W: spelling-error %description -l en_US geolocation -> echolocation, collocation, allocation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

I couldn't care less about the spelling mistakes ;).


Please make sure to update this package regularly, because it might be important when people start depending on it.
This package is

APPROVED

Comment 9 Ralph Bean 2013-05-03 15:44:46 UTC
New Package SCM Request
=======================
Package Name: geoip-geolite
Short Description: Free IP geolocation databases
Owners: ralph
Branches: f19 f18 f17 el6
InitialCC:

Comment 10 Gwyn Ciesla 2013-05-03 15:53:31 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2013-05-06 20:33:55 UTC
geoip-geolite-2013.04-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/geoip-geolite-2013.04-1.fc18

Comment 12 Fedora Update System 2013-05-06 20:34:13 UTC
geoip-geolite-2013.04-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/geoip-geolite-2013.04-1.fc17

Comment 13 Fedora Update System 2013-05-06 20:34:31 UTC
geoip-geolite-2013.04-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/geoip-geolite-2013.04-1.el6

Comment 14 Fedora Update System 2013-05-27 19:04:28 UTC
geoip-geolite-2013.04-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 15 Fedora Update System 2013-05-28 00:59:14 UTC
geoip-geolite-2013.04-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 16 Fedora Update System 2013-05-28 01:05:38 UTC
geoip-geolite-2013.04-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 17 Ralph Bean 2013-05-28 13:20:12 UTC
All stable.


Note You need to log in before you can comment on or make changes to this bug.